4 Replies Latest reply on Oct 8, 2015 10:31 AM by dmarkovic

    Upgrading Management Server from 8.7 to 8.7 SP1

    dmarkovic Rookie
      Hi,

      after installation, when I start "Appsense Management Server" I have a popup qith the message "Data is missing from the active database 'ManagementServer'. Do you want to perform the update now?"
      I click on yes and when it's finished, I still have 2 variance on database:

      \DataInitialised - The chosen database is not completely initialized. Some standard data elements are absent.
      \DataUpgradeRequired - The data in the database requires upgrading

      Even If I click on "Repair All" and after everything is Green, If I refresh the status, the same error appears again.

      I've tried to export the script and play it on SQL server side and it ends with errors:

      Msg 15151, Level 16, State 1, Line 1
      Cannot find the object 'EventParamStrings', because it does not exist or you do not have permission.
      Msg 15151, Level 16, State 1, Line 1
      Cannot find the object 'EventParamIntegers', because it does not exist or you do not have permission.
      Msg 15151, Level 16, State 1, Line 1
      Cannot find the object 'EventParamDateTimes', because it does not exist or you do not have permission.
      Msg 15151, Level 16, State 1, Line 1
      Cannot find the object 'Events', because it does not exist or you do not have permission.
      Msg 15151, Level 16, State 1, Line 1
      Cannot find the object 'EventParamStrings', because it does not exist or you do not have permission.
      Msg 15151, Level 16, State 1, Line 1
      Cannot find the object 'EventParamIntegers', because it does not exist or you do not have permission.
      Msg 15151, Level 16, State 1, Line 1
      Cannot find the object 'EventParamDateTimes', because it does not exist or you do not have permission.

      I've checked; I have dbowner rights on database when I executed the script.

      I can only notice something strange in the comments of the script (at the begining):

      --                            Patch Upgrade Summary
      --                             From version : 8.7.1
      --                             To version   : 8.7.1
      -

      It upgrades from 8.7.1 to 8.7.1 ?????

      Someone have an advice?